# TemplateReviewData

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Approved** | **bool** |  | 

## Methods

### NewTemplateReviewData

`func NewTemplateReviewData(approved bool, ) *TemplateReviewData`

NewTemplateReviewData instantiates a new TemplateReviewData object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewTemplateReviewDataWithDefaults

`func NewTemplateReviewDataWithDefaults() *TemplateReviewData`

NewTemplateReviewDataWithDefaults instantiates a new TemplateReviewData object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetApproved

`func (o *TemplateReviewData) GetApproved() bool`

GetApproved returns the Approved field if non-nil, zero value otherwise.

### GetApprovedOk

`func (o *TemplateReviewData) GetApprovedOk() (*bool, bool)`

GetApprovedOk returns a tuple with the Approved field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetApproved

`func (o *TemplateReviewData) SetApproved(v bool)`

SetApproved sets Approved field to given value.



[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


